## pcre2el 1.8

=== Makefile ===
EMACS ?= emacs

all: pcre2el.elc

clean:
	rm -f *.elc

%.elc: %.el
	$(EMACS) --batch -L . --funcall batch-byte-compile "$<"

test: clean all
	$(EMACS) --batch -L . -l pcre2el-tests --funcall rxt-run-tests

test-interactive: clean all
	$(EMACS) -Q -nw -L . -l pcre2el-tests --funcall rxt-run-tests

sandbox: all
	$(EMACS) -Q -L . -l pcre2el

.PHONY: all test test-interactive sandbox

=== debian/changelog ===
pcre2el (1.8-3) unstable; urgency=medium

  * Migrate to dh 12 without d/compat
  * d/control: Declare Standards-Version 4.1.4 (no changes needed)
  * d/control: Update Maintainer (to Debian Emacsen team)
  * d/control: Declare Standards-Version 4.4.0 (no changes needed)
  * d/control: Add Rules-Requires-Root: no
  * d/control: Drop emacs25 from Enhances
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 06 Sep 2019 16:19:44 +0500

pcre2el (1.8-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Mon, 02 Sep 2019 09:04:44 -0300

pcre2el (1.8-1) unstable; urgency=medium

  * Initial release (Closes: #893266)

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 17 Mar 2018 19:57:08 +0500

=== debian/control ===
Source: pcre2el
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-elpa
Standards-Version: 4.4.0
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-elpa
Homepage: https://github.com/joddie/pcre2el
Vcs-Browser: https://salsa.debian.org/emacsen-team/pcre2el
Vcs-Git: https://salsa.debian.org/emacsen-team/pcre2el.git

Package: elpa-pcre2el
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: Emacs mode to convert between PCRE, Emacs and rx regexp syntax
 This package provides `pcre2el' or `rxt' (RegeXp Translator or RegeXp
 Tools), a utility for working with regular expressions in Emacs,
 based on a recursive-descent parser for regexp syntax. In addition to
 converting (a subset of) PCRE syntax into its Emacs equivalent, it
 can do the following:
 .
  - convert Emacs syntax to PCRE;
  - convert either syntax to `rx', an S-expression based regexp syntax
    untangle complex regexps by;
  - showing the parse tree in `rx' form and highlighting the;
  - corresponding chunks of code show the complete list of strings
    (productions) matching a regexp, provided the list is finite;
  - provide live font-locking of regexp syntax (so far only for Elisp
    buffers).

=== debian/watch ===
version=4
         opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pcre2el-$1.tar.gz%" \
             https://github.com/joddie/pcre2el/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## pcre2el 1.8+git20221018.0a0802b

=== Makefile ===
ELPA_DEPENDENCIES=a.el

ELPA_ARCHIVES=melpa gnu

TEST_ERT_FILES="pcre2el-tests.el"
LINT_CHECKDOC_FILES=$(wildcard *.el)
LINT_PACKAGE_LINT_FILES=$(wildcard *.el)
LINT_COMPILE_FILES=$(wildcard *.el)

makel.mk:
	# Download makel
	@if [ -f ../makel/makel.mk ]; then \
		ln -s ../makel/makel.mk .; \
	else \
		curl \
		--fail --silent --show-error --insecure --location \
		--retry 9 --retry-delay 9 \
		-O https://gitlab.petton.fr/DamienCassou/makel/raw/v0.7.1/makel.mk; \
	fi

# Include makel.mk if present
-include makel.mk

=== debian/changelog ===
pcre2el (1.8+git20221018.0a0802b-2) unstable; urgency=medium

  * Depend on elpa-a (Cloeses: #1022094)

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 20 Oct 2022 22:22:55 +0500

pcre2el (1.8+git20221018.0a0802b-1) unstable; urgency=medium

  * New upstream snapshot 1.8+git20221018.0a0802b (Closes: #1020193)
  * Add patch to remove upstream Makefile
  * Add patch to fix version number
  * Add upstream metadata
  * d/control: Build-Depend on elpa-a
  * d/control: Declare Standards-Version 4.6.1 (no changes needed)
  * d/copyright: Update copyright
  * d//rules: Override dh_auto_clean

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 18 Oct 2022 12:35:05 +0500

pcre2el (1.8-4) unstable; urgency=medium

  * Add patch to disable failing tests; despite failing tests
    the package still works and useful (see, #973179)
  * d/control: Declare Standards-Version 4.5.1 (no changes needed)
  * d/control: Migrate to debhelper-compat 13
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 18 Nov 2020 15:32:12 +0500

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               dh-elpa
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 13),
+               dh-elpa,
+               elpa-a
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/joddie/pcre2el
@@ -15,7 +16,8 @@
 Package: elpa-pcre2el
 Architecture: all
 Depends: ${elpa:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         elpa-a
 Recommends: emacs (>= 46.0)
 Enhances: emacs
 Description: Emacs mode to convert between PCRE, Emacs and rx regexp syntax

## pcre2el 1.12

=== debian/changelog ===
pcre2el (1.12-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 23:20:24 +0900

pcre2el (1.12-1) unstable; urgency=medium

  * New upstream version 1.12
  * Refresh and update patches
  * d/control: Declare Standards-Version 4.6.2 (no changes needed)
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 29 Aug 2023 11:58:31 +0500

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_clean:
	@echo skipping upstream clean

.PHONY: override_dh_auto_clean
